> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Contracts

> Get Contracts. If company ID is provided, then contracts for specific company will be returned, otherwise contracts for client will be returned. If client or company has no contract, then list of available contracts will be returned



## OpenAPI

````yaml get /v2/contracts
openapi: 3.1.0
info:
  title: FinHost WLB Client API
  description: FinHost WLB Client API
  version: 2.0.0
servers:
  - url: https://client-api.dev.finhost.io
security: []
tags:
  - name: contracts
    description: Contracts
  - name: clients
    description: Clients
  - name: companies
    description: Companies
  - name: accounts
    description: Accounts
  - name: recipients
    description: Recipients
  - name: transfer
    description: Transfer operations
  - name: exchange
    description: Exchange operations
paths:
  /v2/contracts:
    get:
      tags:
        - contracts
      summary: Get Contracts
      description: >-
        Get Contracts. If company ID is provided, then contracts for specific
        company will be returned, otherwise contracts for client will be
        returned. If client or company has no contract, then list of available
        contracts will be returned
      parameters:
        - description: Company ID
          name: companyId
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - contracts
                properties:
                  contracts:
                    type: array
                    items:
                      description: Contract
                      type: object
                      additionalProperties: false
                      required:
                        - id
                        - title
                        - description
                        - available
                        - clientType
                        - currencies
                      properties:
                        id:
                          description: Contract ID
                          type: string
                          minLength: 1
                          maxLength: 256
                          examples:
                            - regularContract
                        title:
                          description: Contract title
                          type: string
                          examples:
                            - Regular Contract
                        description:
                          description: Contract description
                          type: string
                          examples:
                            - Best contract ever
                        available:
                          description: Is contract available
                          type: boolean
                        clientType:
                          description: Client type
                          type: string
                          enum:
                            - individual
                            - company
                        currencies:
                          type: array
                          items:
                            type: object
                            additionalProperties: false
                            required:
                              - currency
                              - accountsCountLimit
                              - products
                            properties:
                              currency:
                                description: Currency
                                type: string
                                examples:
                                  - GBP
                              accountsCountLimit:
                                description: Accounts count limit
                                type: integer
                              products:
                                type: array
                                items:
                                  type: object
                                  additionalProperties: false
                                  required:
                                    - id
                                    - type
                                  properties:
                                    id:
                                      description: Product ID
                                      type: string
                                      examples:
                                        - sepa-in
                                    type:
                                      description: Product type
                                      type: string
                                      enum:
                                        - transfer
                                    transferPlans:
                                      type: array
                                      items:
                                        type: object
                                        additionalProperties: false
                                        required:
                                          - calculator
                                          - from
                                          - flat
                                          - percentage
                                        properties:
                                          calculator:
                                            description: Transfer plan calculator
                                            type: string
                                            enum:
                                              - sum
                                              - max
                                              - min
                                          from:
                                            description: Transfer plan from
                                            type: number
                                            format: float
                                            examples:
                                              - 0
                                          flat:
                                            description: Transfer plan flat
                                            type: number
                                            format: float
                                            examples:
                                              - 5
                                          percentage:
                                            description: Transfer plan percentage
                                            type: number
                                            format: float
                                            examples:
                                              - 0
                        variants:
                          type: array
                          items:
                            type: object
                            additionalProperties: false
                            required:
                              - id
                              - title
                              - description
                              - currency
                              - accountsCountLimit
                              - products
                              - revenues
                            properties:
                              id:
                                description: id
                                type: string
                                examples:
                                  - 1
                              currency:
                                description: Currency
                                type: string
                                examples:
                                  - GBP
                              description:
                                description: description
                                type: string
                              title:
                                description: title
                                type: string
                                examples:
                                  - Regular Contract
                              accountsCountLimit:
                                description: Accounts count limit
                                type: integer
                              products:
                                type: array
                                items:
                                  type: object
                                  additionalProperties: false
                                  required:
                                    - id
                                    - type
                                  properties:
                                    id:
                                      description: Product ID
                                      type: string
                                      examples:
                                        - sepa-in
                                    type:
                                      description: Product type
                                      type: string
                                      enum:
                                        - transfer
                                    transferPlans:
                                      type: array
                                      items:
                                        type: object
                                        additionalProperties: false
                                        required:
                                          - calculator
                                          - from
                                          - flat
                                          - percentage
                                        properties:
                                          calculator:
                                            description: Transfer plan calculator
                                            type: string
                                            enum:
                                              - sum
                                              - max
                                              - min
                                          from:
                                            description: Transfer plan from
                                            type: number
                                            format: float
                                            examples:
                                              - 0
                                          flat:
                                            description: Transfer plan flat
                                            type: number
                                            format: float
                                            examples:
                                              - 5
                                          percentage:
                                            description: Transfer plan percentage
                                            type: number
                                            format: float
                                            examples:
                                              - 0
                        onboardingFee:
                          description: Onboarding fee
                          type: object
                          additionalProperties: false
                          required:
                            - currency
                            - amount
                          properties:
                            currency:
                              description: Onboarding fee currency
                              type: string
                              examples:
                                - GBP
                            amount:
                              description: Onboarding fee amount
                              type: number
                              format: float
                              examples:
                                - 5
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                oneOf:
                  - description: Client not found
                    type: object
                    additionalProperties: false
                    required:
                      - message
                    properties:
                      message:
                        type: string
                        enum:
                          - Client not found
                  - description: Company not found
                    type: object
                    additionalProperties: false
                    required:
                      - message
                    properties:
                      message:
                        type: string
                        enum:
                          - Company not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````